/*
 *  common.h -- BabyTrans ( Babylon Translator front-end for GTK )
 *
 *  Copyright (C) 1999-2002  Frederic Jolliton -- <babytrans@tuxee.net>
 *  Applet changes Copyright (C) 2000 by Marcus Schiesser
 *  <marcus.schiesser@student.uni-tuebingen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifdef ENABLE_NLS
#ifndef GNOME_APPLET
# include <libintl.h>
# define _(str) gettext(str)
#endif
#else
# define _(str) (str)
#endif
#define N_(str) (str)

#define ARRAY_SIZE(arr) (sizeof(arr)/sizeof(*(arr)))

#define print_var( var ) \
	( std::cerr << #var << " = " << var << std::endl )

// FIXME: Wrong place for this definition
/* Default space around GUI elements
 *
 * Note that space around various widget are nicer
 * that these hideous GUI where everything is sticked.
 */
namespace {
	const unsigned int	guiSpace = 4 ;
}
