/*
 *  misc.h -- BabyTrans ( Babylon Translator front-end for GTK )
 *
 *  Copyright (C) 1999-2002  Frederic Jolliton -- <babytrans@tuxee.net>
 *  Applet changes Copyright (C) 2000 by Marcus Schiesser
 *  <marcus.schiesser@student.uni-tuebingen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef MISC_H
#define MISC_H

/* A macro to simplify access to gtk_signal_connect function */
#define connect(w,s,f,p) \
		gtk_signal_connect(GTK_OBJECT(w),(s),GTK_SIGNAL_FUNC(f),gpointer(p))

GtkWidget*			createPixmap( const gchar** data , GdkWindow* window ) ;
void				fred_gtk_window_iconify( GtkWindow* window ) ;
void				fred_gtk_window_raise_and_focus( GtkWidget* widget ) ;

#endif // MISC_H
